Skip to content
Hightop docs header art
Hightop
API and Integrations

/webhooks/{id}

DELETE/v1/agent/webhooks/{id}

Delete or disable a webhook endpoint

Requires API-key authentication (agentAuth, agentId).

Purpose: delete an outbound webhook endpoint.

Auth and scope: header-key auth or OAuth agent:webhooks:manage.

Idempotency: required.

Path params:

json
example
{
  "id": "webhook endpoint uuid"
}

Request: no body.

Response:

json
example
{
  "ok": true,
  "webhook": {
    "id": "uuid",
    "url": "https://example.com/hightop/webhook",
    "description": "Production webhook",
    "event_types": ["payment.executed"],
    "enabled": true,
    "disabled_reason": null,
    "consecutive_failures": 0,
    "last_delivered_at": null,
    "last_failure_at": null,
    "created_at": "2026-05-16T00:00:00.000Z",
    "updated_at": "2026-05-16T00:05:00.000Z"
  }
}

Common errors: not_found, idempotency_key_reuse_mismatch, insufficient_scope.

Related recipe: Verify a Webhook.